#ifndef BYEPKG_H_DEF
#define BYEPKG_H_DEF

#include "TelepatiPkg.h"

using namespace std;

/** Implementa il messaggio di saluto.  Struttura: e' composto
 esclusivamente dall'header standard
*/

class ByePkg : public TelepatiPkg{
 public:
  /** Costruttore. Costuisce un ByePkg. @param a Aibo di destinazione*/
  ByePkg(int a);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see getMsg()*/
  ByePkg(byte* ptr);
  
  /** Distruttore di default.*/
  virtual ~ByePkg();
  
  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();
  
  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see ByePkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
